Bug 522074 - Initscript for httpd daemon is not LSB compliant
Summary: Initscript for httpd daemon is not LSB compliant
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: httpd
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: InitScriptsProject 546252
TreeView+ depends on / blocked
 
Reported: 2009-09-09 12:17 UTC by Zbysek MRAZ
Modified: 2013-07-03 13:09 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 546252 (view as bug list)
Environment:
Last Closed: 2010-11-04 19:15:32 UTC


Attachments (Terms of Use)

Description Zbysek MRAZ 2009-09-09 12:17:23 UTC
Description of problem:
According to https://fedoraproject.org/wiki/FCNewInit/Initscripts

httpd returns 0 and does not start when the service is not preperly stopped (eg. program is dead and /var/lock lock file exists)

Version-Release number of selected component (if applicable):
httpd-2.2.13-2.fc12

How reproducible:
always

Steps to Reproduce:
1. service httpd start
2. killall httpd
3. service httpd condrestart ; echo $?

  
Actual results:
0

Expected results:
Starting httpd:             OK
0

Additional information:
Condrestart works correctly when daemon is properly running or is correctly stopped.

Comment 1 Zbysek MRAZ 2009-09-09 12:31:07 UTC
Description of 2nd problem:
According to https://fedoraproject.org/wiki/FCNewInit/Initscripts: "2:	invalid or excess argument(s)"
httpd returns 3 in case of bad argument

How reproducible:
always

Steps to Reproduce:
1. service httpd ; echo $?

Actual results:
Usage: httpd {start|stop|restart|condrestart|
3

Expected results:
Usage: httpd {start|stop|restart|condrestart|
2

Comment 2 Petr Šplíchal 2009-09-14 12:54:33 UTC
One more use case to fix is reload on stopped httpd (fails but returns 0):

Steps to Reproduce:
# service httpd stop
# service httpd reload
Reloading httpd:                                           [FAILED]
# echo $?

Actual results: 0
Expected results: 7

Additional information:
https://fedoraproject.org/wiki/Packaging:SysVInitScript#Exit_Codes_for_non-Status_Actions

Comment 3 Bug Zapper 2009-11-16 12:05:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-11-04 10:09:38 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Joe Orton 2010-11-04 19:15:32 UTC
Should be fixed in 2.2.15-3 and later; the changes were merged from RHEL.


Note You need to log in before you can comment on or make changes to this bug.